NETSTAT(8)

NAZWA
netstat - wyświetla połączenia sieciowe, tablice trasowania, statystyki interfejsu, połączenia maskaradowe i udziale w połączeniach multicast

SKŁADNIA

netstat [address_family_options] [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w] [--l2cap|-2] [--rfcomm|-f] [--listening|-l] [--all|-a] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--symbolic|-N] [--extend|-e[--extend|-e]] [--timers|-o] [--program|-p] [--verbose|-v] [--continuous|-c] [--wide|-W]

netstat {--route|-r} [opcje-rodziny-adresów] [--extend|-e[--extend|-e]] [--verbose|-v] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--interfaces|-i} [--all|-a] [--extend|-e[--extend|-e]] [--verbose|-v] [--program|-p] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--groups|-g} [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--masquerade|-M} [--extend|-e] [--numeric|-n] [--numeric-hosts] [--numeric-ports] [--numeric-users] [--continuous|-c]

netstat {--statistics|-s} [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w]

netstat {--version|-V}

netstat {--help|-h}

opcje-rodziny-adresów:

[-4|--inet] [-6|--inet6] [--protocol={inet,inet6,unix,ipx,ax25,netrom,ddp,bluetooth, ... } ] [--unix|-x] [--inet|--ip|--tcpip] [--ax25] [--x25] [--rose] [--ash] [--bluetooth] [--ipx] [--netrom] [--ddp|--appletalk] [--econet|--ec]

UWAGI
This program is mostly obsolete. Replacement for netstat is ss. Replacement for netstat -r is ip route. Replacement for netstat -i is ip -s link. Replacement for netstat -g is ip maddr.

OPIS
Netstat wyświetla dane o podsystemie sieciowym Linuksa. Typ wyświetlanej informacji jest kontrolowany przez pierwszy argument, jak poniżej:

  (bez opcji)
Domyślnie netstat wyświetla listę otwartych gniazd. Jeśli nie poda się rodzin adresów, to wypisane zostaną aktywne gniazda wszystkich skonfigurowanych rodzin adresów.

  --route, -r
Wyświetla tabele trasowania. Więcej informacji znajduje się w podręczniku route(8). netstat -r i route -e wyświetlają to samo.

  --groups, -g
Wyświetla informacje o członkostwie w połączeniach multicast w przypadku IPv4 i IPv6.

  --interfaces, -i
Wyświetla tabelę wszystkich interfejsów sieciowych.

  --masquerade, -M
Wyświetla listę połączeń maskaradowych.

  --statistics, -s
Wyświetla zwięzłe statystyki każdego protokołu.

OPCJE

  --verbose, -v
Mówi użytkownikowi co się dzieje, wyświetlając więcej informacji. Co ważne, wypisuje niektóre interesujące informacje o nieskonfigurowanych rodzinach adresów.

  --wide, -W
Nie skraca adresów IP, używając tak szerokiego wyjścia, jakie jest potrzebne. Jest to obecnie opcjonalne, aby nie zepsuć istniejących skryptów.

  --numeric, -n
Pokazuje adresy numeryczne; nie próbuje zdeterminować symbolicznego hosta, portu czy nazwy użytkownika.

  --numeric-hosts
pokazuje adresy numeryczne; ale nie wpływa na określenie portu lub nazwy użytkownika.

  --numeric-ports
pokazuje porty numeryczne, ale nie wpływa na określenie komputera czy nazwy użytkownika.

  --numeric-users
pokazuje numeryczne identyfikatory użytkowników, ale nie wpływa na określenie komputera czy nazw portów.

  --protocol=rodzina, -A
Specifies the address families (perhaps better described as low level protocols) for which connections are to be shown. family is a comma (',') separated list of address family keywords like inet, inet6, unix, ipx, ax25, netrom, econet, ddp, and bluetooth. This has the same effect as using the --inet|-4, --inet6|-6, --unix|-x, --ipx, --ax25, --netrom, --ddp, and --bluetooth options.

The address family inet (Iv4) includes raw, udp, udplite and tcp protocol sockets.

The address family bluetooth (Iv4) includes l2cap and rfcomm protocol sockets.

  -c, --continuous
To powoduje, że netstat będzie wypisywał wybraną informację w trybie ciągłym, co sekundę.

  -e, --extend
Wyświetla dodatkowe informacje. Dwukrotne użycie tej opcji da maksymalny poziom szczegółowości.

  -o, --timers
Obejmuje informacje związane z sieciowymi licznikami czasu.

  -p, --program
Pokazuje PID-y oraz nazwy programów, do których należą poszczególne gniazda.

  -l, --listening
Pokazuje jedynie nasłuchujące gniazda (są one domyślnie pomijane).

  -a, --all
Pokazuje zarówno nasłuchujące jak i nienasłuchujące gniazda. Z opcją --interfaces pokazuje nieaktywne interfejsy.

  -F
Wypisuje informacje trasowania z FIB (domyślnie).

  -C
Wypisuje informacje trasowania z buforu trasowania.

WYJŚCIE

  Aktywne połączenia internetowe (TCP, UDP, UDPLite, RAW)

  Proto
Protokół (tcp, udp, udpl, raw) używany przez gniazdo.

  Recv-Q
Established: The count of bytes not copied by the user program connected to this socket. Listening: Since Kernel 2.6.18 this column contains the current syn backlog.

  Send-Q
Established: The count of bytes not acknowledged by the remote host. Listening: Since Kernel 2.6.18 this column contains the maximum size of the syn backlog.

  Local Address
Adres lokalny (lokalna nazwa hosta) i numer portu gniazda. O ile nie podano opcji --numeric (-n), adres gniazda jest rozwiązywany do jego postaci kanonicznej (FQDN), a numer portu jest tłumaczony na odpowiadającą mu nazwę usługi.

  Foreign Address
Adres zdalnego komputera i numer portu jego gniazda. Analogiczne do "Local Adress".

  State
The state of the socket. Since there are no states in raw mode and usually no states used in UDP and UDPLite, this column may be left blank. Normally this can be one of several values:

ESTABLISHED
    Gniazdo zestawiło połączenie.

SYN_SENT
    Gniazdo aktywnie próbuje zestawić połączenie.

SYN_RECV
    Żądanie połączenia zostało otrzymane z sieci.

FIN_WAIT1
    Gniazdo jest zamknięte, a połączenie się zamyka.

FIN_WAIT2
    Połączenie jest zamknięte, a gniazdo czeka na zamknięcie na drugim końcu.

TIME_WAIT
    Po zamknięciu, gniazdo czeka na obsługę pakietów wciąż będących w sieci.

CLOSE
    Gniazdo nie jest używane.

CLOSE_WAIT
    Zdalny koniec zamknął i oczekuje aż gniazdo się zamknie.

LAST_ACK
    Zdalny koniec zamknął, a gniazdo jest zamknięte. Oczekiwanie potwierdzenia.

LISTEN
    Gniazdo nasłuchuje nadchodzących połączeń. Te gniazda są wyświetlane tylko jeśli ustawiono opcję --listening (-l) lub --all (-a).

CLOSING
    Obydwa gniazda są zamknięte, lecz wciąż nie mamy wysłanych wszystkich danych.

UNKNOWN
    Stan gniazda jest nieznany.

  User
Nazwa lub identyfikator użytkownika (UID) właściciela gniazda.

  PID/Program name
Identyfikator procesu i oddzielona ukośnikiem nazwa procesu, który jest właścicielem gniazda. Opcja --program powoduje, że kolumna ta jest brana pod uwagę. Potrzebne są również uprawnienia superużytkownika, aby zobaczyć tę informację w przypadku gniazd, których nie jest się właścicielem. Ta informacja identyfikacyjna nie jest wciąż dostępna dla gniazd IPX.

  Timer
(musi to być napisane)

  Gniazda aktywne dziedziny UNIX-owej

  Proto
Protokół (zwykle unix) używany przez gniazdo.

  RefCnt
Liczba referencji (np. załączonych przez to gniazdo procesów).

  Flags
Wyświetlane flagi to SO_ACCEPTON (wyświetlane jako ACC), SO_WAITDATA (W) lub SO_NOSPACE (N). SO_ACCECPTON jest używane na niepodłączonych gniazdach jeśli odpowiadające im procesy oczekują na żądanie połączenia. Pozostałe flagi zwykle nie są interesujące.

  Type
Istnieje wiele rodzajów dostępu do gniazd:

SOCK_DGRAM
    Gniazdo jest używane w trybie datagramowym (bezpołączeniowym).

SOCK_STREAM
    Gniazdo jest strumieniowe (połączeniowe).

SOCK_RAW
    Gniazdo jest gniazdem typu raw.

SOCK_RDM
    Gniazdo serwuje rdm (reliably-delivered messages).

SOCK_SEQPACKET
    Gniazdo jest gniazdem typu sequential packet.

SOCK_PACKET
    Gniazdo dostępu interfejsu RAW.

UNKNOWN
    Któż wie, co przyszłość może nam przynieść - wypełnij :-)

  State
To pole będzie zawierać jedno z następujących słów kluczowych:

FREE
    Gniazdo nie jest zaalokowane

LISTENING
    Gniazdo nasłuchuje żądań połączeń. Te gniazda są wyświetlane tylko jeśli ustawiono opcję --listening (-l) lub --all (-a).

CONNECTING
    Gniazdo ma zamiar zestawić połączenie.

CONNECTED
    Gniazdo jest połączone.

DISCONNECTING
    Gniazdo się rozłącza.

(empty)
    Gniazdo nie jest podłączone do innego.

UNKNOWN
    Ten stan nie powinien nigdy wystąpić.

  PID/Program name
Identyfikator procesu (PID) i nazwa procesu, który posiada otwarte dane gniazdo. Więcej informacji znajduje się w rozdziale Aktywne połączenia internetowe, znajdującym się wyżej.

  Path
Wyświetla ścieżkę do procesów przywiązanych do gniazda.

  Aktywne gniazda IPX
(powinno to być zrobione przez kogoś, kto je zna)

  Aktywne gniazda NET/ROM
(powinno to być zrobione przez kogoś, kto je zna)

  Aktywne gniazda AX.25
(powinno to być zrobione przez kogoś, kto je zna)

PLIKI
/etc/services -- Plik translacji usług

/proc -- Punkt montowania systemu plików proc, który daje dostęp do informacji statusu jądra za pomocą następujących plików:

/proc/net/dev -- informacja o urządzeniach

/proc/net/raw -- informacja o gniazdach RAW

/proc/net/tcp -- informacja o gniazdach TCP

/proc/net/udp -- informacja o gniazdach UDP

/proc/net/udplite -- informacja o gniazdach UDPLite

/proc/net/igmp -- informacja o multicast IGMP.

/proc/net/unix -- informacja o gniazdach dziedziny UNIX-owej

/proc/net/ipx -- informacja o gniazdach IPX

/proc/net/ax25 -- informacja o gniazdach AX25

/proc/net/appeltalk -- informacja o gniazdach DDP (appletalk)

/proc/net/nr -- informacja o gniazdach NET/ROM

/proc/net/route -- informacje o trasowaniu IP

/proc/net/ax25_route -- informacje o trasowaniu AX25

/proc/net/ipx_route -- informacje o trasowaniu IPX

/proc/net/nr_nodes -- lista węzłów NET/ROM

/proc/net/nr_neigh -- jądrowi sąsiedzi NET/ROM

/proc/net/ip_masquerade -- połączenia maskaradowe

/sys/kernel/debug/bluetooth/l2cap -- Bluetooth L2CAP information

/sys/kernel/debug/bluetooth/rfcomm -- Bluetooth serial connections

/proc/net/snmp -- statystyki

ZOBACZ TAKŻE
route(8), ifconfig(8), iptables(8), proc(5) ss(8) ip(8)

BŁĘDY
Czasami mogą pojawić się dziwne informacje jeśli gniazdo zmienia się podczas przeglądania. Rzadko się to zdarza.

AUTORZY
The netstat user interface was written by Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>, the man page basically by Matt Welsh <mdw@tc.cornell.edu>. It was updated by Alan Cox <Alan.Cox@linux.org>, updated again by Tuan Hoang <tqhoang@bigfoot.com>. The man page and the command included in the net-tools package is totally rewritten by Bernd Eckenfels <ecki@linux.de>. UDPLite options were added by Brian Micek <bmicek@gmail.com>

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.